import { module, test } from 'qunit';
import { setupRenderingTest } from 'ember-qunit';
import { render } from '@ember/test-helpers';
import { hbs } from 'ember-cli-htmlbars';

module('Integration | Component | sortable-group-accessible', function(hooks) {
  setupRenderingTest(hooks);

  test('it can yield text content', async function(assert) {
    // Template block usage:
    await render(hbs`
      <SortableGroupAccessible>
        template block text
      </SortableGroupAccessible>
    `);

    assert.equal(this.element.textContent.trim(), 'template block text');
  });
});
